Subject: Re: [bitcoindev] Re: Removing OP_Return restrictions: Devil's Advocate Position

From: Greg Maxwell <[email-masked]>
Date: Mon, 5 May 2025 16:55:34 -0700 (PDT)

On Monday, May 5, 2025 at 11:39:02 PM UTC Peter Todd wrote:

When you originally proposed the scheme that may have been true. But 
these days you could probably use zero-knowledge-proofs to prove that 
hash digests are in fact hash digests, without having to include the 
actual pre-images of those hash digests. 

The schemes that I'm aware of mostly have huge side-channels in the proof.  
I think I constructed one before that didn't have one for proving bilinear 
keys, and it only proved a pubkey was a pubkey, but at best it's an extra 
constraint.

Goes back to what you're trying to accomplish, like assume network capacity 
to process/forward blocks as a fixed amount. Your concern with NFTs is them 
driving up fees. So now every transaction has to carry a proof its not 
embedding a jpeg and so the effective throughput of the network is halved 
or reduced by 30% or whatever from the proofs.  Not a win.  And of course 
were then imagining something with more cryptographic complexity than the 
whole of bitcoin just to close high bandwidth channels.  And low bandwidth 
channels on the order of 24 to 32-bits per independently adjustable piece 
of data still exist.

But Amazon doesn't offer a service to store data on S3 forever.

It doesn't my example was an economic analysis that just assumed you bought 
an investment to yield enough to pay for the S3.  If you actually want it 
you can construct it as a legal entity.

Also of course, S3 only offers storage. Not publication. Things like 
Citrea (and Lightning) specifically need data publication. 

Right I might have been unclear.  Some people are laboring under a mistaken 
belief that the objective of people putting large amounts of data in the 
blockchain is just to "store stuff" --- and my point is that it's 
outrageously uneconomical for that.  While there may be some on the margin, 
the reality is that people storing something believe they're getting some 
benefit out of doing it that they don't get from an actual storage 
solution.  On reddit I went over a few 
examples:  https://old.reddit.com/r/Bitcoin/comments/1kea81d/why_is_this_sub_quiet_about_the_current_debate/mqi0vfw/

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/47079bf1-19de-4354-880d-2d197cecb0a2n%40googlegroups.com.